FreeMat

- Main Page
- Related Pages

vtkImageRange3D

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageRange3D replaces a pixel with the maximum minus minimum over an ellipsoidal neighborhood. If KernelSize of an axis is 1, no processing is done on that axis.

To create an instance of class vtkImageRange3D, simply invoke its constructor as follows

      obj = vtkImageRange3D

# Methods

The class vtkImageRange3D has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageRange3D class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageRange3D = obj.NewInstance ()`
- `vtkImageRange3D = obj.SafeDownCast (vtkObject o)`
- `obj.SetKernelSize (int size0, int size1, int size2)` - This method sets the size of the neighborhood. It also sets the default middle of the neighborhood and computes the elliptical foot print.